Today we have the MICS, the NSD, the ICD.

Which document/file can a user consult to learn about the model implemented in a device?

The MICS only states the manufacturer specific extensions to the standard model. The ‘normal’ model is not exposed.

The NSD states in a machine readable format the manufacturer specific extensions to the standard model. The ‘normal’ model is not
exposed.

The ICD states the complete model of a device. Problem: you need to get that ICD.

ICDs can be of master-model type, exposing the maximum of a device model range.

ICDs can be tailored to a project, exposing only the project related data.

Use case: A user needs to decide whether a given device is suitable for his application. Where can he check for an LN class, for
mandatory and optional data provided in that device?
Today only the master-model ICD answers this need. A tool can help to read this file and to search for the data.

Proposal descriptions

ICD file is the key for the representation of the model implementation.

NSD is not the proper way for vendors to expose their implementation.

It is a tool issue to expose and user-friendly way of looking information inside ICD file.

UCA has a tool at http://www.ucaiug.org/org/TechnicalO/Testing/Shared%20Documents/Tools/Member_Free_Tools/SclViewer and
http://www.ucaiug.org/org/TechnicalO/Testing/Shared%20Documents/Tools/Guest_Free_Tools/SclViewer

which can easily find proprietary LNs and DOs. It uses XSLT and a non-Chrome browser (such as FireFox).

History

#1 - 04/13/2021 10:06 AM - Carlos Rodriguez del Castillo
- Tracker changed from Improvement to Support

- Status changed from New to Triage

- Private changed from Yes to No

- Proposal descriptions updated

2021-04-13: Clarify with Michael if the use case asks for the standard to specify such tool. A lot of work is being done in the standard regarding virtual
IEDs, SCL comparison, and also OSMOSE project.

Far future: In the end, basic application profile could be the information to check if an IED complies with it.

#2 - 05/11/2021 09:27 AM - Carlos Rodriguez del Castillo
- Status changed from Triage to In Progress

- Short Proposal set to To be discussed inside WG10 - It might be part of the PICS and MICS integration in the IED service section.
- Discuss in Upcoming Meeting changed from Yes to No

- To discuss in WG10 changed from No to Yes

2021-05-11: We would need ICT capabilities with the ICD in order to know what can and cannot be done. And if the device is completely flexible in
data model, then it is not possible to use the ICD for the given purpose. So this issue applies to fixed data model (in the sense of logical node
classes). We are looking for a tool that will need to use an ICD file and ICT capabilities to give user information and being able to check if it fits with
the user specification.

It is a more sofisticated tool from ICT to check if the IED can commit with a given specification.

Possible flow:

1. The user should create the ISD

2. ICT should be able to check and confirm if it can fulfill the requirements

We should not mixed capabilities and requirements.

How do we know an IED has flexible data model? Today there is no information in the certificates giving this information.

We need to define different levels of flexibility:

- Rearrange structure of logical nodes

- Create new logical node instances

- Extending logical node classes.

We have an action to integrate as much as possible PICS and MICS in the service section of the IED.
Would it be possible to include also PIXIT?
There is more behind: ICD and also capabilitiesz, so it will be incomplete to use only the ICD file.

#3 - 06/16/2021 09:32 AM - Carlos Rodriguez del Castillo

- To discuss in WG10 changed from Yes to No

2021-06-16 (WG10 Plennary): Consider it par of 6-100, as it has introduced the concept of the ISD file. We need to look at that in this context. We
need a longer discussion on that. We will keep it open.
Some feedback can be received from OSMOSE project.

#4 - 11/21/2023 01:02 AM - Vladan Cvejic
- Discuss in Upcoming Meeting changed from No to Yes

- Needs More Information set to Yes

#5 - 11/21/2023 08:59 AM - Vladan Cvejic

- Status changed from In Progress to Resolved

- Discuss in Upcoming Meeting changed from Yes to No

- Short Proposal deleted (To be discussed inside WG10 - It might be part of the PICS and MICS integration in the IED service section.)
- Standard(s) set to IEC 61850-6, TR IEC 61850-90-30

- Needs More Information changed from Yes to No

- Assigned TF 61850-6-100 (Function modeling) added

User has to have proper tool to compare instances of specification and delivered e.g. LN.
Part 6 (Ed2.1) and 90-30 are delivering the resources for this process.

#6 - 11/21/2023 09:00 AM - Vladan Cvejic

- Status changed from Resolved to Closed
